Closed Bug 626707 Opened 9 years ago Closed 9 years ago

Intermittent "ASSERTION: hasResult is false but the call succeeded?" in test_IHistory.cpp | Running test_same_uri_notifies_both.

Categories

(Toolkit :: Places, defect)

x86
Linux
defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: philor, Unassigned)

References

Details

(Keywords: intermittent-failure)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1295371282.1295372537.21052.gz
Linux mozilla-central leak test build on 2011/01/18 09:21:22
s: mv-moz2-linux-ix-slave08

TEST-INFO | (../../../../../../toolkit/components/places/tests/cpp/test_IHistory.cpp) | Running test_same_uri_notifies_both.
###!!! ASSERTION: hasResult is false but the call succeeded?: 'hasResult', file ../../../../../toolkit/components/places/src/nsNavHistory.cpp, line 1883
UNKNOWN [../../../../../dist/bin/libxul.so +0x016418CA]
UNKNOWN [../../../../../dist/bin/libxul.so +0x016498A1]
UNKNOWN [../../../../../dist/bin/test_IHistory +0x000031A3]
UNKNOWN [../../../../../dist/bin/test_IHistory +0x0000387B]
UNKNOWN [../../../../../dist/bin/test_IHistory +0x00009A02]
UNKNOWN [../../../../../dist/bin/libxul.so +0x01ABC132]
UNKNOWN [../../../../../dist/bin/test_IHistory +0x0000BCB7]
UNKNOWN [../../../../../dist/bin/test_IHistory +0x00002024]
__libc_start_main+0x000000DC [/lib/libc.so.6 +0x00015DEC]
###!!! ASSERTION: hasResult is false but the call succeeded?: 'hasResult', file ../../../../../toolkit/components/places/src/nsNavHistory.cpp, line 1883
/bin/sh: line 1: 23692 Aborted                 XPCOM_DEBUG_BREAK=stack-and-abort ../../../../../dist/bin/run-mozilla.sh ../../../../../dist/bin/$f
NEXT ERROR make[5]: *** [check] Error 134
make[5]: Leaving directory `/builds/slave/cen-lnx-dbg/build/obj-firefox/toolkit/components/places/tests/cpp'
NEXT ERROR make[4]: *** [check] Error 2
make[4]: Leaving directory `/builds/slave/cen-lnx-dbg/build/obj-firefox/toolkit/components/places/tests'
NEXT ERROR make[3]: *** [check] Error 2
make[3]: Leaving directory `/builds/slave/cen-lnx-dbg/build/obj-firefox/toolkit/components/places'
make[2]: *** [check] Error 2
make[2]: Leaving directory `/builds/slave/cen-lnx-dbg/build/obj-firefox/toolkit/components'
make[1]: *** [check] Error 2
make[1]: Leaving directory `/builds/slave/cen-lnx-dbg/build/obj-firefox/toolkit'
make: *** [check] Error 2
program finished with exit code 2
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1297215108.1297217013.25772.gz
Linux tracemonkey leak test build on 2011/02/08 17:31:48
s: linux-ix-slave30

TEST-INFO | (../../../../../../toolkit/components/places/tests/cpp/test_IHistory.cpp) | Running test_same_uri_notifies_both.
###!!! ASSERTION: hasResult is false but the call succeeded?: 'hasResult', file ../../../../../toolkit/components/places/src/nsNavHistory.cpp, line 1843
UNKNOWN [../../../../../dist/bin/libxul.so +0x0164EAC8]
UNKNOWN [../../../../../dist/bin/libxul.so +0x01656ADC]
UNKNOWN [../../../../../dist/bin/test_IHistory +0x000031A3]
UNKNOWN [../../../../../dist/bin/test_IHistory +0x0000387B]
UNKNOWN [../../../../../dist/bin/test_IHistory +0x00009A02]
UNKNOWN [../../../../../dist/bin/libxul.so +0x01AD95B2]
UNKNOWN [../../../../../dist/bin/test_IHistory +0x0000BCB7]
UNKNOWN [../../../../../dist/bin/test_IHistory +0x00002024]
__libc_start_main+0x000000DC [/lib/libc.so.6 +0x00015DEC]
###!!! ASSERTION: hasResult is false but the call succeeded?: 'hasResult', file ../../../../../toolkit/components/places/src/nsNavHistory.cpp, line 1843
/bin/sh: line 1: 24741 Aborted                 XPCOM_DEBUG_BREAK=stack-and-abort ../../../../../dist/bin/run-mozilla.sh ../../../../../dist/bin/$f
Linux mozilla-central leak test build on 2011/02/23 14:45:23
s: mv-moz2-linux-ix-slave11
should have been fixed along with bug 619623.
Status: NEW → RESOLVED
Closed: 9 years ago
Depends on: 619623
Resolution: --- → FIXED
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.